Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.treeoperationview
Class TreeObject

    java.lang.Object
      mauda.treeoperationview.TreeObject

    public class TreeObject

extends java.lang.Object

Stores additional information to tree-entries

Author:
  Markus Krebs

Field Summary
`static int` | `CORRECT` Correctness: correct
`static int` | `INCORRECT` Correctness: incorrect
`static int` | `INIT` Operation is a init-operation
`static int` | `initialCorrectness` Defines the initial correctness
`static int` | `NORMAL` Operation is a normal-operation, which means that there is no identification if it is a init- or todo-operation
`static int` | `TODO` Operation is a todo-operation
`static int` | `UNDEFINED` Correctness undefined

Constructor Summary
`TreeObject(SimpleOperation so)` Creates a TreeObject

Method Summary
`int` | `getCorrectness()` Gets the correctness
`javax.swing.tree.DefaultMutableTreeNode` | `getNode()` Gets the associated TreeNode
`SimpleOperation` | `getOperation()` Gets the operation
`int` | `getState()` Gets the state of the TreeObject
`boolean` | `isActual()` Test if this node is actual
`boolean` | `isProcessing()` Test if this node is processed
`void` | `setActual(boolean b)` Sets if this node is the actual node, or not.
`void` | `setCorrectness(int c)` Sets the correctness
`void` | `setNode(javax.swing.tree.DefaultMutableTreeNode n)` Sets the associated TreeNode
`void` | `setProcessing(boolean b)` Sets if this node is the actual processed node, or not.
`void` | `setState(int s)` Sets the state of the TreeObject
`void` | `setText(java.lang.String text)` Sets the to displayed text.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNDEFINED

    public static final int UNDEFINED

  Correctness undefined

  See Also:
    Constant Field Values

### CORRECT

    public static final int CORRECT

  Correctness: correct

  See Also:
    Constant Field Values

### INCORRECT

    public static final int INCORRECT

  Correctness: incorrect

  See Also:
    Constant Field Values

### initialCorrectness

    public static int initialCorrectness

  Defines the initial correctness

### NORMAL

    public static final int NORMAL

  Operation is a normal-operation, which means that there is no identification if it is a init- or todo-operation

  See Also:
    Constant Field Values

### INIT

    public static final int INIT

  Operation is a init-operation

  See Also:
    Constant Field Values

### TODO

    public static final int TODO

  Operation is a todo-operation

  See Also:
    Constant Field Values

Constructor Detail

### TreeObject

    public TreeObject(SimpleOperation so)

  Creates a TreeObject

  Parameters:
    `so` - The associated operation

Method Detail

### setText

    public void setText(java.lang.String text)

  Sets the to displayed text. This make only sense for the root-node, because the other nodes has as text the ID and parameters.

  Parameters:
    `text` -

### setNode

    public void setNode(javax.swing.tree.DefaultMutableTreeNode n)

  Sets the associated TreeNode

  Parameters:
    `n` - TreeNode

### getNode

    public javax.swing.tree.DefaultMutableTreeNode getNode()

  Gets the associated TreeNode

  Returns:
    TreeNode

### setState

    public void setState(int s)

  Sets the state of the TreeObject

  Parameters:
    `s` - state-id
  See Also:
    `mauda.treeoperationview`, `mauda.treeoperationview`, `mauda.treeoperationview`

### getState

    public int getState()

  Gets the state of the TreeObject

  Returns:
    state-id

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getOperation

    public SimpleOperation getOperation()

  Gets the operation

  Returns:
    operation

### setActual

    public void setActual(boolean b)

  Sets if this node is the actual node, or not. A node that is actual will be marked with bold-text

  Parameters:
    `b` - true if this is the actual node, false otherwise

### isActual

    public boolean isActual()

  Test if this node is actual

  Returns:
    true if the node is the actual node, false otherwise

### setProcessing

    public void setProcessing(boolean b)

  Sets if this node is the actual processed node, or not. A node that is in process will be marked with bold-italic-text

  Parameters:
    `b` - true if this is the actual node, false otherwise

### isProcessing

    public boolean isProcessing()

  Test if this node is processed

  Returns:
    true if the node is the process node, false otherwise

### setCorrectness

    public void setCorrectness(int c)

  Sets the correctness

  Parameters:
    `c` - correctness-ID
  See Also:
    `mauda.treeoperationview`, `mauda.treeoperationview`, `mauda.treeoperationview`

### getCorrectness

    public int getCorrectness()

  Gets the correctness

  Returns:
    correctness-ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD